Page MenuHomePhabricator

Remove user name and edit comment from html <head>
Closed, ResolvedPublic0 Story Points

Description

As discussed in T122390 and T120409, exposing this information without a suppression mechanism is not very wise. There were no issues identified with removing this information in T122390, so lets turn this into an actionable sub-task.

Event Timeline

GWicke raised the priority of this task from to Normal.
GWicke raised the priority of this task from Normal to High.
GWicke updated the task description. (Show Details)
GWicke set Security to None.
GWicke updated the task description. (Show Details)
GWicke added subscribers: Esanders, Catrope, Krenair and 10 others.

I raised the priority, as this is the remaining blocker for T120409.

ssastry moved this task from Backlog to Next Up on the Parsoid board.Feb 1 2016, 3:51 AM
Jdforrester-WMF edited a custom field.Feb 2 2016, 7:44 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
bearND added a subscriber: bearND.Feb 3 2016, 9:52 PM

The Mobile-Content-Service does not use this information nor does it propagate it.

Change 271930 had a related patch set uploaded (by Subramanya Sastry):
T125266: Remove user/contribution information from header

https://gerrit.wikimedia.org/r/271930

Change 271930 merged by jenkins-bot:
T125266: Remove user/contribution information from header

https://gerrit.wikimedia.org/r/271930

ssastry closed this task as Resolved.Feb 22 2016, 10:11 PM
ssastry claimed this task.
ssastry removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 7 2018, 1:04 AM